summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Baumann <mail@andreasbaumann.cc>2023-07-27 13:44:30 +0200
committerAndreas Baumann <mail@andreasbaumann.cc>2023-07-27 13:44:30 +0200
commit2d32ab2d71bd4bbc255893601d20f3b045f80758 (patch)
treea1ba445c1fd522649984f4792dc43bd25d1da676
parentb9e65f600b32af0d5bae95fd71d49dd34bf6e405 (diff)
downloadi486tcc-linux-2d32ab2d71bd4bbc255893601d20f3b045f80758.tar.gz
i486tcc-linux-2d32ab2d71bd4bbc255893601d20f3b045f80758.tar.bz2
more testing with notion3, still issues with loading of modules
-rw-r--r--README10
-rwxr-xr-xscripts/build.sh25
2 files changed, 29 insertions, 6 deletions
diff --git a/README b/README
index 1e90d26..f618712 100644
--- a/README
+++ b/README
@@ -450,6 +450,10 @@ EOF
vga=? seems not to be used when booting via Linux real mode boot mode
(qemu_direct works fine with vga=?)
- notion: keyboard XCB missing in tinyxlib? tcc: error: undefined symbol 'XkbKeycodeToKeysym'
+- notion: mod_tiling.so: we have a problem, we need modules, shared linking
+ and dynamic loading (PRELOAD_MODULES=0), with (PRELOAD_MODULES=1) we get
+ an installation error (install: mod_tiling.so does not exist) and miss some
+ precompiled lua code (.lc files)
tools
-----
@@ -759,7 +763,11 @@ links
- screen: looks a little bit aged, might habe more features but also more code
- window manager
- dwm/dmenu or notion3
-
+ - notion3/notion: uses lua, loadable modules, etc. has xinerama/xrandr support,
+ this is all a little bit too much
+ - ion1: more suckless, maybe patchable to do what we want
+ https://github.com/apenwarr/ion1
+
Real hardware
-------------
diff --git a/scripts/build.sh b/scripts/build.sh
index 8a26754..05d82e3 100755
--- a/scripts/build.sh
+++ b/scripts/build.sh
@@ -483,17 +483,32 @@ if [ ! -f "${BASE}/build/stage1/bin/notion" ]; then
cd "notion-${NOTION_VERSION}"
patch -Np1 < "${BASE}/patches/notion-minimal.patch"
sed -i "s|@@BASE@@|${BASE}|g" \
- mod_sm/Makefile notion/Makefile
+ mod_sm/Makefile notion/Makefile \
+ libextl/system-autodetect.mk
CC="${BASE}/build/stage1/bin/i386-tcc" \
- LDFLAGS="-static" \
make INCLUDE="-I${BASE}/src/stage1/notion-${NOTION_VERSION}" \
X11_INCLUDES="-I${BASE}/build/stage1/include" \
X11_LIBS="${BASE}/build/stage1/lib/libX11.a ${BASE}/build/stage1/lib/libXext.a ${BASE}/build/stage1/lib/libSM.a ${BASE}/build/stage1/lib/libICE.a ${BASE}/build/stage1/lib/libX11.a" \
USE_XFT=0 \
- PRELOAD_MODULES=1 \
+ LUA_DIR="${BASE}/build/stage1" \
+ LUAC="${BASE}/build/stage1/bin/luac" \
+ PRELOAD_MODULES=0 \
LUA_VERSION=5.1 PREFIX=/ ETCDIR=/etc/notion
- #make -j$CPUS DESTDIR="${BASE}/build/stage1" PREFIX=/ -j$CPUS install
- cp "${BASE}/src/stage1/notion-435631f/notion/notion" "${BASE}/build/stage1/bin"
+ cd notion || exit 1
+ rm notion
+ CC="${BASE}/build/stage1/bin/i386-tcc" \
+ LDFLAGS="-static" \
+ make INCLUDE="-I${BASE}/src/stage1/notion-${NOTION_VERSION}" \
+ X11_INCLUDES="-I${BASE}/build/stage1/include" \
+ X11_LIBS="${BASE}/build/stage1/lib/libX11.a ${BASE}/build/stage1/lib/libXext.a ${BASE}/build/stage1/lib/libSM.a ${BASE}/build/stage1/lib/libICE.a ${BASE}/build/stage1/lib/libX11.a" \
+ USE_XFT=0 \
+ LUA_DIR="${BASE}/build/stage1" \
+ LUAC="${BASE}/build/stage1/bin/luac" \
+ PRELOAD_MODULES=0 \
+ LUA_VERSION=5.1 PREFIX=/ ETCDIR=/etc/notion \
+ notion
+ cd .. || exit 1
+ make -j$CPUS DESTDIR="${BASE}/build/stage1" PREFIX=/ -j$CPUS install
cd ..
else
echo "stage1 notion exists"